SPLICE_DIRECT_TO_ACT(9)

NAME
splice_direct_to_actor - splices data directly between two non-pipes

SYNOPSIS

ssize_t splice_direct_to_actor(struct file * in, struct splice_desc * sd, splice_direct_actor * actor);

ARGUMENTS

in
    file to splice from

sd
    actor information on where to splice to

actor
    handles the data splicing

DESCRIPTION

This is a special case helper to splice directly between two points, without requiring an explicit pipe. Internally an allocated pipe is cached in the process, and reused during the lifetime of that process.

COPYRIGHT